# Select_Reactor_Base.h File Reference

`#include "ace/Timer_Queuefwd.h"`
`#include "ace/Event_Handler.h"`
`#include "ace/Handle_Set.h"`
`#include "ace/Pipe.h"`
`#include "ace/Reactor_Impl.h"`
`#include "ace/Select_Reactor_Base.inl"`

Include dependency graph for Select_Reactor_Base.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Select_Reactor_Handle_Set
| Track handles we are interested for various events. More...
class | ACE_Event_Tuple
| An ACE_Event_Handler and its associated ACE_HANDLE. More...
class | ACE_Select_Reactor_Notify
| Unblock the ACE_Select_Reactor from its event loop. More...
class | ACE_Select_Reactor_Handler_Repository
| Used to map ACE_HANDLEs onto the appropriate ACE_Event_Handler *. More...
class | ACE_Select_Reactor_Handler_Repository_Iterator
| Iterate through the ACE_Select_Reactor_Handler_Repository. More...
class | ACE_Select_Reactor_Impl
| This class simply defines how Select_Reactor's basic interface functions should look like and provides a common base class for <select_reactor> using various locking mechanism. More...

## Typedefs

typedef int(ACE_Event_Handler::* | ACE_EH_PTMF )(ACE_HANDLE)

## Variables

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef void(ACE_Handle_Set::* | ACE_FDS_PTMF )(ACE_HANDLE)

## Detailed Description

Id
  Select_Reactor_Base.h,v 4.48 2006/02/10 10:15:10 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Typedef Documentation

typedef int(ACE_Event_Handler::* ACE_EH_PTMF)(ACE_HANDLE)

## Variable Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL typedef void(ACE_Handle_Set::* ACE_FDS_PTMF)(ACE_HANDLE)